package binary_request

import (
	"private-go-sdk/http"
	"encoding/json"
	"private-go-sdk/model/common"
)

type BinaryCancelSignRequest struct {
	DataSign *common.BinaryCancelSignDataSignRequest `json:"dataSign"`
	Operator *common.NameUserInfoRequest `json:"operator"`
}
func (obj BinaryCancelSignRequest) GetUrl() string {
    return "/binary/cancel/sign"
}

func (obj BinaryCancelSignRequest) GetHttpParameter() *http.HttpParameter {
    parameter := http.NewPostHttpParameter()
    jsonBytes, _ := json.Marshal(obj)
    parameter.SetJsonParamer(string(jsonBytes))
    return parameter
}
